"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEventManager = void 0;
const logger_1 = require("./logger");
const createEventManager = () => {
    const handlers = {};
    const emit = async (event, file) => {
        const eventHandlers = handlers[event.type] ?? [];
        const { logger, ...rest } = event;
        logger.debug('[Flow Emit] Event emitted', { handlers: eventHandlers.length, data: rest, file });
        eventHandlers.map((handler) => handler(event));
    };
    const subscribe = (event, handlerName, handler) => {
        if (!handlers[event]) {
            handlers[event] = [];
        }
        logger_1.globalLogger.debug('[Flow Sub] Subscribing to event', { event, handlerName });
        handlers[event].push(handler);
    };
    return { emit, subscribe };
};
exports.createEventManager = createEventManager;
