import { Express } from 'express';
import { Emit, LockedData } from './types';
type FlowListResponse = {
    id: string;
    name: string;
};
export type EdgeData = {
    label?: string;
    variant: 'event' | 'virtual';
    emitType: string;
};
type FlowEdge = {
    id: string;
    source: string;
    target: string;
    data: EdgeData;
};
type FlowStepResponse = {
    id: string;
    name: string;
    type: 'event' | 'api' | 'noop' | 'cron';
    description?: string;
    subscribes?: string[];
    emits: Emit[];
    virtualEmits?: Emit[];
    action?: 'webhook';
    webhookUrl?: string;
    bodySchema?: any;
    language?: string;
    nodeComponentPath?: string;
    cronExpression?: string;
};
type FlowResponse = FlowListResponse & {
    steps: FlowStepResponse[];
    edges: FlowEdge[];
};
export declare const flowsEndpoint: (flows: LockedData["flows"], app: Express) => void;
export declare const generateFlowsList: (flows: LockedData["flows"]) => FlowResponse[];
export {};
