"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const pino_1 = __importDefault(require("pino"));
class Logger {
    constructor(traceId, flows, file) {
        this.info = (message, args) => this.logger.info(args, message);
        this.error = (message, args) => this.logger.error(args, message);
        this.debug = (message, args) => this.logger.debug(args, message);
        this.warn = (message, args) => this.logger.warn(args, message);
        this.logger = (0, pino_1.default)({
            level: 'info',
            formatters: { level: (level) => ({ level }) },
            errorKey: 'error',
            base: null,
            mixin: () => ({ traceId, flows, file }),
        });
    }
}
exports.Logger = Logger;
