"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RpcStateManager = void 0;
class RpcStateManager {
    constructor(sender) {
        this.sender = sender;
    }
    async get(traceId, key) {
        return this.sender.send('state.get', { traceId, key });
    }
    async set(traceId, key, value) {
        await this.sender.send('state.set', { traceId, key, value });
    }
    async delete(traceId, key) {
        await this.sender.send('state.delete', { traceId, key });
    }
    async clear(traceId) {
        await this.sender.send('state.clear', { traceId });
    }
}
exports.RpcStateManager = RpcStateManager;
